package com.ms.dal.mapper;

import com.ms.dal.entity.PurchaseOrder;
import com.ms.dal.entity.PurchaseOrderItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.ms.dal.PurchaseOrder
 */
@Mapper
public interface PurchaseOrderMapper {

    int deleteByPrimaryKey(Long id);

    int insert(PurchaseOrder record);

    int insertOrUpdate(PurchaseOrder  record);

    int insertSelective(PurchaseOrder record);

    PurchaseOrder selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(PurchaseOrder record);

    int updateByPrimaryKey(PurchaseOrder record);

    int insertBatch(List<PurchaseOrder> list);

    PurchaseOrder getByPurchaseOrderSn(@Param("purchaseOrderSn") String purchaseOrderSn);

    PurchaseOrder getByPurOrderId(@Param("purOrderId") String purOrderId);
}
